Bug 882541 - [abrt] openssh-server-5.9p1-27.fc17: strcmp: Process /usr/sbin/sshd was killed by signal 11 (SIGSEGV)
[abrt] openssh-server-5.9p1-27.fc17: strcmp: Process /usr/sbin/sshd was kille...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
abrt_hash:143f9c60e2531aeb688b709ed89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-01 14:07 EST by strsccgms
Modified: 2012-12-10 02:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 02:10:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (602 bytes, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: environ (578 bytes, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: event_log (1.01 KB, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: backtrace (9.74 KB, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: cgroup (154 bytes, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: smolt_data (3.03 KB, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: executable (14 bytes, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: maps (14.17 KB, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: dso_list (4.71 KB, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: proc_pid_status (738 bytes, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: var_log_messages (8.60 KB, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details
File: open_fds (344 bytes, text/plain)
2012-12-01 14:07 EST, strsccgms
no flags Details

  None (edit)
Description strsccgms 2012-12-01 14:07:05 EST
Version-Release number of selected component:
openssh-server-5.9p1-27.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        'sshd: stonesg [priv]'
crash_function: strcmp
kernel:         3.6.7-4.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (8 frames)
: #0 strcmp at ../sysdeps/i386/i686/strcmp.S:40
: #1 ssh_gssapi_krb5_cmdok at gss-serv-krb5.c:220
: #2 ssh_gssapi_krb5_userok at gss-serv-krb5.c:123
: #4 ssh_gssapi_userok at gss-serv.c:428
: #5 mm_answer_gss_userok at monitor.c:2286
: #6 monitor_read at monitor.c:652
: #7 monitor_child_preauth at monitor.c:433
: #8 privsep_preauth at sshd.c:703
Comment 1 strsccgms 2012-12-01 14:07:09 EST
Created attachment 655682 [details]
File: core_backtrace
Comment 2 strsccgms 2012-12-01 14:07:11 EST
Created attachment 655683 [details]
File: environ
Comment 3 strsccgms 2012-12-01 14:07:13 EST
Created attachment 655684 [details]
File: event_log
Comment 4 strsccgms 2012-12-01 14:07:15 EST
Created attachment 655685 [details]
File: limits
Comment 5 strsccgms 2012-12-01 14:07:17 EST
Created attachment 655686 [details]
File: backtrace
Comment 6 strsccgms 2012-12-01 14:07:19 EST
Created attachment 655687 [details]
File: cgroup
Comment 7 strsccgms 2012-12-01 14:07:21 EST
Created attachment 655688 [details]
File: smolt_data
Comment 8 strsccgms 2012-12-01 14:07:23 EST
Created attachment 655689 [details]
File: executable
Comment 9 strsccgms 2012-12-01 14:07:25 EST
Created attachment 655690 [details]
File: maps
Comment 10 strsccgms 2012-12-01 14:07:27 EST
Created attachment 655691 [details]
File: dso_list
Comment 11 strsccgms 2012-12-01 14:07:29 EST
Created attachment 655692 [details]
File: proc_pid_status
Comment 12 strsccgms 2012-12-01 14:07:31 EST
Created attachment 655693 [details]
File: var_log_messages
Comment 13 strsccgms 2012-12-01 14:07:34 EST
Created attachment 655694 [details]
File: open_fds
Comment 14 Petr Lautrbach 2012-12-03 11:18:43 EST
A reproducer is to have ~/.k5users file with line containing only space " ". 
It's fixed now in Rawhide openssh-6.1p1-4.fc19 and I'll push fixes also to other Fedoras. Thanks for the report.
Comment 15 Fedora Update System 2012-12-06 04:43:56 EST
openssh-6.1p1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openssh-6.1p1-4.fc18
Comment 16 Fedora Update System 2012-12-06 15:08:13 EST
Package openssh-6.1p1-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-6.1p1-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19851/openssh-6.1p1-4.fc18
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2012-12-10 02:11:03 EST
openssh-6.1p1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.